Avisos
Vaciar todo

Editor JCE no funciona correctamente en el Backend de Joomla 1.5  

 
Jesus Perez Antoniow
 Jesus Perez Antoniow
Estimable Member

Estimados.

Hace 2 dias realice la actualización del Editor JCE - Como vi que tenia problemas regrese a la actualización anterior realizando los siguientes pasos

realice Backup con akeeba backup
desinstale el editor JCE por completo
Elimine la cahe y la purgue
luego instale nuevamente el JCE anterior

Pero no me funciona correctamente en el back end

ahora solo me muestra los codigos de la presentacion del artículo y no me muestra las opciones del editor - adjunto archivo.

Que podria estar mal configurado?
Desde ya muchas gracias

URL del sitio: www.guianea.com

Citar
Respondido : 12/07/2012 3:00 pm
Pablo Velasco
 Pablo Velasco
Illustrious Member

Hola,

Es posible que al desinstalar el JCE no hayas quitado todo lo que había. Tienes que tener en cuenta que lo compone tanto el componente como otros plugins. Por tanto, tienes que asegurarte de haberlo desinstalado todo.

Una vez que estés editando un artículo, también puedes probar a pulsar Control+F5 para forzar la recarga de las páginas javascript en tu navegador, no vaya a ser que el problema esté en algún javascript de la última versión del JCE que pudieras tener cacheado.

ResponderCitar
Respondido : 12/07/2012 3:53 pm

Gestor de Contraseñas - VPN Conexión Segura - Gestor 2FA (Segundo Factor de Autenticación

Jesus Perez Antoniow
 Jesus Perez Antoniow
Estimable Member

Estimado, he realizado cada paso, pero sigue sin funcionar ningun editor, todos los editores me muestran los articulos en forma de codigo, por suerte antes de realizar dicha actualziacion habia realizado un backup con akeeba . Pero en estas 48 horas realizé muchas correcciones redireccionando url erroneas, como puedo hacer para volver al punto anterior, pero salvar las correcciones de las URL?

ResponderCitar
Respondido : 12/07/2012 7:34 pm
Luis Mendez Alejo
 Luis Mendez Alejo
Miembro Admin

Hola Jesus,

Hace 2 dias realice la actualización del Editor JCE - Como vi que tenia problemas regrese a la actualización anterior realizando los siguientes pasos

Indicanos por favor:

- ¿Que versión de JCE tenias antes de actualizar?.
- ¿Que desinstalaste "entiendo que todo", plugins y componente?
- ¿Que versión "exacta" de Joomla! 1.5 tienes?.
- ¿Que es lo que NO funciona de JCE (facilita capturas para que podamos verlo mejor)?

Nota: Estas peticiones no son para marearte 🙂 a veces para avanzar hay que retroceder. 🙂 gracias.

Saludos

ResponderCitar
Respondido : 12/07/2012 8:45 pm

Cursos Gratuitos WordPress

Jesus Perez Antoniow
 Jesus Perez Antoniow
Estimable Member

Hola LUIS como le va,

.-Antes de actualizar tenia la versión com_jce_2015 (imagino que debe ser la 2.0.15)
.-Desinstale todo, componente y plugin (pero tuve que volver a instalar la version vieja que tenia ya que en la web no se presentaban bien con los otros editores que vienen por defecto)
.-Tengo joomla 1.5.26
.-Lo que no me funciona es que en el administrador de joomla cuando quiero modificar un articulo no me aparece el editor JCE y solo me presenta el articulo en código.

Adjunto nuevamente imagen de ejemplo

Lo ocurrido fue lo siguiente
1.- actualice el JCE
2.-generó problemas cada vez que accedía a cualquier articulo que esta compuesto con tablas me ponia como predeterminado un borde 1 que antes tenia en 0
3.-desinstale el componente y el plugin
4.-instale el JCE anterior
5.-ya no se me muestra mas el EDITOR cada vez que deseo realizar alguna modificación.

Ahora bien - anteriormente siempre realizba backups de manera manual del sitio via FTP con Filezilla.
Podria realizar el reemplazo de manera manual de los archivos del componente y del plugin, para que se corrija este error?

Es decir, reemplazar los archivos de las carpetas:

public_htmlguianeacomponentscom_jce
public_htmlguianeapluginseditors

por los archivos anteriores a que surgieran los problemas?

Porque pregunto esto?
Porque en estas 48 horas he realizado muchisimos cambios de redireccionamiento y si vuelvo al punto de restauración perdería todos estos cambios.

Desde ya muchas gracias

ResponderCitar
Respondido : 12/07/2012 9:30 pm
Luis Mendez Alejo
 Luis Mendez Alejo
Miembro Admin

Hola Jesus,

He probado a reproducir una actualización de JCE desde una versión anterior a la actual 2.2.2 y todo el proceso es correcto y el editor en el Gestor de Artículos funciona correctamente.

Te lo resumo en capturas (si algo no lo entiendes dímelo y con gusto lo explico mejor) 🙂

1. JCE 1.5.7 en Joomla! 1.5.26:

2. Instalo la versión 2.0.21 de JCE sin desinstalar previamente la anterior:

3. Actualizado a la 2.0.21 correctamente:

4. Actualizo desde el propio componente a la última versión, plugin incluido:

5. Actualizado a la 2.2.2 correctamente:

6. Edito un articulo y el editor se muestra sin problemas:

7. Inserto una Tabla desde el editor JCE con "border = 0":

8. El resultado de la tabla deshabilitando el editor en [Show/Hide]:

9. El resultado de la tabla habilitando el editor en [Show/Hide]:

Saludos

ResponderCitar
Respondido : 12/07/2012 11:56 pm

wpdoctor-revisa-la-salud-de-tu-wordpress

Jesus Perez Antoniow
 Jesus Perez Antoniow
Estimable Member

Estimado - nuevamente realice cada uno de los pasos - pero fue peor, no se si alguna libreria esta causando problema en la configuracion del JCE o la propia configuracion manual del JCE toma como heredada las configuraciones anteriores y por ello se produce el problema.

Te comento en detalle:

1) Instale el JCE 2.2.2 y me instalo correctamente:

2) Produjo 2 problemas,
A.- en el BackEnd el artículo no se mostraba y el editor tampoco:

EN EL BACKEND

B.- en el FrontEnd me trajo problemas en los formularios, el cual no mostraba la caja de texto para que carguen información.

EN EL FRONTEND

3) Así que trate de poner el Editor TinyMCE. Este me deja ver los artículos y modificarlos en el BackEnd, pero en el FrontEnd amplia la anchura de los artículos y muestra el editor en la caja de información para todos los formularios de la pagina.

PROBLEMA EN EL FRONTEND

4) Por lo que desisntale por completo el JCE 2.2.2 e los archivos anteriores del JCE
(archivo1: com_jce_2015 y archivo2: paquete_idioma_es-ES_JCE_2.0.12_instalable)

De esta manera en el FrontEnd no produce ningún tipo de errores, y los usuarios de la pagina pueden acceder correctamente a todos los formularios. Solo que en el Administrador otra vez los artículos se muestran en CODIGO sin el editor.

Estos problemas se produjeron esta mañana al eliminar el último JCE actualizado y prodecer a instalar el JCE antenior.

Ahora bien, que pasa si realizo estos cambios:

Reemplazar los archivos de las carpetas:

public_htmlguianeacomponentscom_jce
public_htmlguianeapluginseditors

Por los archivos anteriores a que surgieran los problemas?
Sería como instalar el componente de manera manual verdad?

Desde ya muchas gracias por toda la información, tiempo, dedicación y paciencia brindada.

Saludos Cordiales desde Argentina

ResponderCitar
Respondido : 13/07/2012 2:35 am
Luis Mendez Alejo
 Luis Mendez Alejo
Miembro Admin

Hola Jesus,

No es algo normal lo que sucede en tu instalación pues como viste en mis capturas, sigo un proceso de lo más sencillo, instalar encima de la versión vieja, actualizar desde el propio componente a la versión nueva y listo, no hago más cambios.

¿El JCE conflictivo tuyo, es de un Pack de Webempresa?.

Saludos

ResponderCitar
Respondido : 13/07/2012 2:57 am

optimiza-automaticamente-todas-las-imagenes-de-tu-wordpress

Jesus Perez Antoniow
 Jesus Perez Antoniow
Estimable Member

Hola, no, el JCE lo baje del portal de extensiones joomla
La version vieja el año pasado
La version nueva esta semana de pa lagina del creador

que pasa si realizo estos cambios:

Reemplazar los archivos de las carpetas:

public_htmlguianeacomponentscom_jce
public_htmlguianeapluginseditors

Por los archivos anteriores a que surgieran los problemas?
Sería como instalar el componente de manera manual verdad?

NOTA: esta mañana quise actualizar datos de las empresas y me presento otro problema desde el cambio de editores:

Forbidden
You don't have permission to access /administrator/index.php on this server.
Additionally, a 404 Not Found error was encountered while trying to use an ErrorDocument to handle the request.

Desde ya muchas gracias por toda la información, tiempo, dedicación y paciencia brindada.

Saludos Cordiales desde Argentina

ResponderCitar
Respondido : 13/07/2012 11:14 am
Jordi Sala
 Jordi Sala
Miembro Admin

Hola Jesus Perez,

Respecto a sustituir archivos, creo que lo mejor es desinstalar el editor y los plugins, y realizar la instalación nuevamente, al anterior si te funcionaba correctamente, y esta nueva versión no. Creo que debe ser algún plugin del editor o de terceros que hace que no funcione correctamente.

Forbidden
You don't have permission to access /administrator/index.php on this server.
Additionally, a 404 Not Found error was encountered while trying to use an ErrorDocument to handle the request.

Envía un ticket al departamento de soporte técnico, puede que alguna acción que se realiza, sea detectada como peligrosa porque infringe alguna regla del mod_security del servidor.

Saludos

ResponderCitar
Respondido : 13/07/2012 12:52 pm

Gestor de Contraseñas - VPN Conexión Segura - Gestor 2FA (Segundo Factor de Autenticación

Jesus Perez Antoniow
 Jesus Perez Antoniow
Estimable Member

Estimado la desinstalación completa del editor y la instalación del anterior ya lo realice - y fue desde ahí que comenzaron todos los problemas - es por ello que preguntaba para realizar el reemplazo de datos de las carpetas mencionadas para que borre todo rastro que por ahi el administrador de joomla no esta haciendo. Se puede realizar este reemplazo de archivos de manera manual? De ser asi, cuales serían las carpetas a reemplazar correctamente que tengan que ver con el EDITOR JCE?

Nota: respecto al error de seguridad ya realice el ticket correspondiente a soporte.

Soporte a respondido a mi ticket y ellos notaron que el EDITOR JCE funciona correctamente si al USUARIO ADMINISTRADOR lo pondo en INGLES. Es porque no tengo instalado el paquete del idioma español para el EDITOR JCE 2.0.15 - He tratado de buscar en la pagina del creador dicho paquete de idioma pero solo esta disponible de la ultima version que ya es la 2.2.3 y es sólo 1 archivo.

Ustedes tienen conocimiento de donde puedo encontrar el paquete del idioma correspondiente a mi version?

Desde ya muchas gracias

ResponderCitar
Respondido : 13/07/2012 1:16 pm
Jesus Perez Antoniow
 Jesus Perez Antoniow
Estimable Member

Estimados - Problema resuelto -
Los paso que habia seguido para instalarlo no eran los correctos.

habia realizado
Instalacion del componente a traves con el gestor de instalar y desinstalar
Instalacion del paquete de idioma con el gestor de instalar y desinstalar

Recien acabo de ver un video de ustedes y alli estan los pasos correctos.
https://www.webempresa.com/blog/liberada-version-del-editor-jce-2015.html?tmpl=component&print=1

Y LO CORRECTO ERA
Instalacion del componente a traves con el gestor de instalar y desinstalar
Instalacion del paquete de idioma con el gestor de instalar y desinstalar desde el mismo componente JCE

MUCHISIMAS GRACIAS - CASO SOLUCIONADO -
SALUDOS DESDE ARGENTINA

ResponderCitar
Respondido : 13/07/2012 3:30 pm

Cursos Gratuitos WordPress